<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>com.charego</groupId>
		<artifactId>lingo-parent</artifactId>
		<version>1.0</version>
	</parent>

	<artifactId>lingo-server</artifactId>
	<name>Lingo :: Server</name>

	<dependencies>
		<dependency>
			<groupId>${project.groupId}</groupId>
			<version>${project.version}</version>
			<artifactId>lingo-api</artifactId>
		</dependency>

		<!-- Web -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-websocket</artifactId>
		</dependency>

		<!-- Security -->
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-config</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-web</artifactId>
		</dependency>

		<!-- Development Tools -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-devtools</artifactId>
			<!-- Prevent transitive application to other modules -->
			<optional>true</optional>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
					<!-- Enable hot refreshing of resources -->
					<!-- Add src/main/resources to the classpath -->
					<!-- Remove duplicate resources from target/classes -->
					<addResources>true</addResources>
					<folders>
						<!-- Add src/main/config to the classpath -->
						<folder>${project.basedir}/src/main/config</folder>
					</folders>
				</configuration>
				<executions>
					<!-- Repackage as executable JAR (java -jar) -->
					<execution>
						<id>repackage</id>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

</project>
